Реклама

 
0 голосов
 
178 просмотров
14.12.2018 / 10:25  danfedotov45

Проблемный AppCompatActivity

Я тупо подключил ,значит, все библиотеки appcompat и Material Design. И создал чистый код, чтобы просто запустить программу, только наследуюсь от AppCompatActivity, запускаю прошу и на Android 4.4.2 пишет приложение ... Остановлено, на Android 5.0 просто вылетает. Стили применил, установил макет из ресурса, но - ничего. Рад вашей помощи
Изм. Витаминыч от 14.12.2018 / 20:23

log.txt (2.72 кб.)
14.12.2018 / 15:47  aNNiMON
Что в logcat?
14.12.2018 / 20:24  Витаминыч
Прикрепил
14.12.2018 / 21:30  danfedotov45
Так что? В чем проблема?
18.12.2018 / 19:24  HeWeD
В руках твоих проблема, в чем же еще.
21.12.2018 / 09:55  danfedotov45
HeWeD, я так и понял что ты не знаешь! Поэтому не сыпь на рану соль
Ответы
 
1 голос
 
# 20.12.2018 / 18:21  Vlad_jonson
Didn't find class "android.arch.core.internal.FastSafeIterableMap" on path: DexPathList[[zip file "/data/app/com.mycompany.myapp-1/base.apk"],nativeLibraryDirectories=[/vendor/lib, /system/lib]]

судя повсему не хватает класса
обнови или измени версию android.jar
Изм. Vlad_jonson от 20.12.2018 / 18:23
21.12.2018 / 09:55  danfedotov45
Спс, попробую
21.12.2018 / 13:40  danfedotov45
Вы мне частично помогли
 
0 голосов
 
# 21.12.2018 / 13:42  danfedotov45
Оказалось так: у меня версия библиотек AppCompat , Design - 27.0.0. спустил до 25.0.0 и заработало!
Всего: 2

Мы в соцсетях

vk tw tg yt

Пожертвования

Аноним2850 р.
Freddy1700 р.
riseremi1611 р.
NaruTrey800 р.
vlavolk637 р.